> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Biosamples Genomic Elements

> Retrieve MPRA expriments by querying cell ontology terms.

Set verbose = true to retrieve full info on the tested genomic elements.

Example: biosample_name = hepg2,

method = MPRA,

source = IGVF,

files_fileset = ENCFF475FKV.

The limit parameter controls the page size and can not exceed 50.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /biosamples/genomic-elements
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /biosamples/genomic-elements:
    get:
      summary: Biosamples Genomic Elements
      description: |-
        Retrieve MPRA expriments by querying cell ontology terms.

        Set verbose = true to retrieve full info on the tested genomic elements.

        Example: biosample_name = hepg2,

        method = MPRA,

        source = IGVF,

        files_fileset = ENCFF475FKV.

        The limit parameter controls the page size and can not exceed 50.

        Pagination is 0-based.
      operationId: genomicElementsFromBiosamples
      parameters:
        - name: biosample_name
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - MPRA
        - name: source
          in: query
          required: false
          schema:
            type: string
            enum:
              - ENCODE
              - IGVF
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    log2FC:
                      type: number
                      nullable: true
                    strand:
                      type: string
                      nullable: true
                    neg_log10_pvalue:
                      type: number
                      nullable: true
                    neg_log10_pvalue_adj:
                      type: number
                      nullable: true
                    DNA_count:
                      type: number
                      nullable: true
                    RNA_count:
                      type: number
                      nullable: true
                    significant:
                      type: boolean
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                    genomic_element:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            chr:
                              type: string
                            start:
                              type: number
                            end:
                              type: number
                            strand:
                              type: string
                              nullable: true
                            name:
                              type: string
                            method:
                              type: string
                              nullable: true
                            source_annotation:
                              type: string
                              nullable: true
                            type:
                              type: string
                            source:
                              type: string
                            source_url:
                              type: string
                          required:
                            - chr
                            - start
                            - end
                            - name
                            - source_annotation
                            - type
                            - source
                            - source_url
                          additionalProperties: false
                    biosample:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            uri:
                              type: string
                            term_id:
                              type: string
                            name:
                              type: string
                            synonyms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            source:
                              type: string
                            subontology:
                              type: string
                              nullable: true
                            source_url:
                              type: string
                              nullable: true
                          required:
                            - uri
                            - term_id
                            - name
                          additionalProperties: false
                    name:
                      type: string
                    class:
                      type: string
                    method:
                      type: string
                    files_filesets:
                      type: string
                      nullable: true
                  required:
                    - log2FC
                    - strand
                    - neg_log10_pvalue
                    - neg_log10_pvalue_adj
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````